package org.wcs.mapper.intf;

import com.baomidou.mybatisplus.extension.service.IService;
import org.wcs.model.bo.tuple.Tuple2;
import org.wcs.model.dto.serve.trayConveyLocation.QueryTrayConveyLocationReq;
import org.wcs.model.po.app.AppTrayConveyLocation;

import java.util.List;

public interface AppTrayConveyLocationService extends IService<AppTrayConveyLocation> {

    Tuple2<Long, List<AppTrayConveyLocation>> queryTrayConveyLocation(QueryTrayConveyLocationReq request, Integer pageSize, Integer pageIndex); // 分页条件查询
    List<AppTrayConveyLocation> queryTrayConveyLocation(QueryTrayConveyLocationReq request); // 条件查询
    int insert(AppTrayConveyLocation trayConveyLocation); // 插入一条数据
    int update(AppTrayConveyLocation trayConveyLocation); // 更新一条数据
    List<AppTrayConveyLocation> queryAll(); // 查询所有
    List<AppTrayConveyLocation> getDataByLocationId(String locationId); // 根据id查询一条数据
}
